%define major 1
%define libname %mklibname srtp 2 %{major}
%define develname %mklibname -d srtp2

Summary:	An implementation of the Secure Real-time Transport Protocol (SRTP)
Name:		libsrtp
Version:	2.3.0
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://github.com/cisco/libsrtp
Source0:	https://github.com/cisco/libsrtp/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Fix-building-with-gcc-10.patch
BuildRequires:	pcap-devel

%description
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

%package -n	%{libname}
Summary:	An implementation of the Secure Real-time Transport Protocol (SRTP)
Group:		System/Libraries

%description -n	%{libname}
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	pcap-devel
Provides:	srtp-devel = %{version}-%{release}
Provides:	srtp2-devel = %{version}-%{release}

%description -n	%{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build shared_library

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license LICENSE
%doc README*
%{_libdir}/libsrtp2.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/srtp2/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsrtp2.pc


%changelog
* Sun Oct 25 2020 wally <wally> 2.3.0-1.mga8
+ Revision: 1639322
- new version 2.3.0

* Thu Feb 13 2020 umeabot <umeabot> 1.6.0-4.mga8
+ Revision: 1514452
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6.0-3.mga7
+ Revision: 1299167
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 wally <wally> 1.6.0-2.mga7
+ Revision: 1247224
- make devel pkg to require pcap-devel

* Sun Mar 25 2018 wally <wally> 1.6.0-1.mga7
+ Revision: 1212233
- new version 1.6.0

* Tue Apr 12 2016 pterjan <pterjan> 1.5.3-1.mga6
+ Revision: 1000770
- 1.5.3
- Obsolete again srtp package

* Mon Jan 04 2016 pterjan <pterjan> 1.5.2-2.mga6
+ Revision: 919495
- Obsolete srtp package, this one is pacakged better

* Sun Aug 02 2015 oden <oden> 1.5.2-1.mga6
+ Revision: 860675
- imported package libsrtp


* Sun Aug 02 2015 Oden Eriksson <oe@nux.se> 1.5.2-1
- 1.5.2
- fedora import and mga libification

* Fri Nov 14 2014 Tom Callaway <spot@fedoraproject.org> - 1.5.0-2
- fix library linking typo

* Fri Nov 14 2014 Tom Callaway <spot@fedoraproject.org>
- api changes between 1.4.4 and 1.5.0, bump sover to 1.0.0
- fix linking issue to make proper libsrtp.so.1

* Fri Oct 31 2014 Leif Madsen <leif@leifmadsen.com> - 1.5.0-1
- Update for 1.5.0 release.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-13.20101004cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-12.20101004cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 15 2014 Dennis Gilmore <dennis@ausil.us> - 1.4.4-11.20101004cvs
- update the config.h header aarch64 is a 64 bit arch though there is no multilib

* Mon Feb 10 2014 Tom Callaway <spot@fedoraproject.org> - 1.4.4-10.20101004cvs
- rename internal functions to avoid conflicts (bz 956340)

* Mon Dec 30 2013 Tom Callaway <spot@fedoraproject.org> - 1.4.4-9.20101004cvs
- apply fix for CVE-2013-2139 from https://github.com/cisco/libsrtp/pull/27

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-8.20101004cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-7.20101004cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 25 2012 Karsten Hopp <karsten@redhat.com> 1.4.4-6.20101004cvs
- use __PPC64__, not __ppc64__ which is undefined on PPC64 arch

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-5.20101004cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 21 2012 Tom Callaway <spot@fedoraproject.org> - 1.4.4-4.20101004cvs
- handle config.h multilib (bz787537)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-3.20101004cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2.20101004cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Jeffrey C. Ollie <jeff@ocjtech.us>
- Don't use '-z noexecstack' option for linker on PPC64 (EL6)

* Mon Oct  4 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.4-1.20101004cvs
- initial package
